Bug 826016 - (nepomuk-core) Review Request: nepomuk-core - Nepomuk Core utilities and libraries
Review Request: nepomuk-core - Nepomuk Core utilities and libraries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-05-29 07:15 EDT by Jaroslav Reznik
Modified: 2012-06-08 20:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 20:11:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2012-05-29 07:15:05 EDT
Spec URL: http://rezza.hofyland.cz/fedora/packages/nepomuk-core/nepomuk-core.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/nepomuk-core/nepomuk-core-4.8.80.tar.xz
Description: Nepomuk Core utilities and libraries
Fedora Account System Username: jreznik
Comment 1 Rex Dieter 2012-05-29 11:12:52 EDT
will take a look after kde-sig meeting...
Comment 2 Rex Dieter 2012-05-29 13:05:13 EDT
naming: ok

sources: ok
$ md5sum *.xz
db4aa40110903973b8a37bea6b13a974  nepomuk-core-4.8.80.tar.xz

1. License: NOT ok
looks like some sources have the standard kde blurb, so we'll likely need to use:

# KDE e.V. may determine that future GPL versions are accepted
License: GPLv2 or GPLv3

here

2.  fix
Requires: kdelibs%{?_isa} >= %{version}
to be:
Requires: kdelibs4%{?_isa} >= %{_kde4_version}
instead.


3.  for the shlibs, probably ought to make a -libs subpkg, with scriptlets (currently missing);
%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


4. add desktop-file-validate

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/nepomukbackup.desktop


Fix those, and we should be good.
Comment 3 Rex Dieter 2012-05-29 13:06:16 EDT
Sorry, for point 1, make that s/GPL/LGPL/
Comment 4 Jaroslav Reznik 2012-05-30 06:36:27 EDT
(In reply to comment #2)
> naming: ok
> 
> sources: ok
> $ md5sum *.xz
> db4aa40110903973b8a37bea6b13a974  nepomuk-core-4.8.80.tar.xz
> 
> 1. License: NOT ok
> looks like some sources have the standard kde blurb, so we'll likely need to
> use:
> 
> # KDE e.V. may determine that future GPL versions are accepted
> License: GPLv2 or GPLv3

Ok.

> here
> 
> 
> 3.  for the shlibs, probably ought to make a -libs subpkg, with scriptlets
> (currently missing);
> %post libs -p /sbin/ldconfig
> %postun libs -p /sbin/ldconfig

I wasn't sure we want for a small package libs subpackage, but ok. Oh, I forgot ldconfig...

> 
> 4. add desktop-file-validate
> 
> %check
> desktop-file-validate
> %{buildroot}%{_kde4_datadir}/applications/kde4/nepomukbackup.desktop

Ok.

> 
> Fix those, and we should be good.

Thanks.
Comment 6 Rex Dieter 2012-05-30 08:31:10 EDT
Thanks,  Approved.
Comment 7 Jaroslav Reznik 2012-05-30 10:50:51 EDT
New Package SCM Request
=======================
Package Name: nepomuk-core
Short Description: Nepomuk Core utilities and libraries
Owners: jreznik kkofler rdieter than ltinkl rnovacek
Branches: f17
InitialCC:
Comment 8 Jon Ciesla 2012-05-30 13:34:04 EDT
Git done (by process-git-requests).
Comment 9 Rex Dieter 2012-06-08 20:11:36 EDT
imported

Note You need to log in before you can comment on or make changes to this bug.